/* ===============================================
トップページの設定
=============================================== */
/* カレンダーの設定 */
.calendar {
	text-align: center;
}
.calendar a {
	transition: 0.2s;
}
.calendar a:hover {
	opacity: 0.5;
}
.calendar a img {
	max-width: 100%;
}

/* トップ関連リンクボタンの設定 */
.site-link {
	margin-top: 180px;
	margin-left: auto;
	margin-right: auto;
	width: 80%;
	max-width: 600px;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
}
.site-link-btn {
	width: calc(50% - 10%);
}
.site-link-btn:nth-child(odd) {
	margin-right: 10%;
	margin-bottom: 30px;
}
.site-link-btn a {
	transition: 0.2s;
}
.site-link-btn a:hover {
	opacity: 0.5;
}
.site-link-btn a img {
	width: 100%;
}



/* ===============================================
はにわくんアニメーション
=============================================== */

/* スライダーのはにわくん */
.top-slider_wrap {
	position: relative;
}
.haniwa-slider {
	position: absolute;
	top: 0;
	left: 0;
	transform: translateY(-100%);
	background: url("../images/top/haniwa_slider.png") no-repeat left bottom / auto 140px;
	width: 140px;
	height: 140px;
	animation: hyokkori 5s steps(22) infinite;
}
@keyframes hyokkori {
  to {
    background-position: calc(-140px * 22) 0;
  }
}
@media(max-width:768px) {
	.haniwa-slider {
		background: url("../images/top/haniwa_slider.png") no-repeat left bottom / auto 80px;
		width: 80px;
		height: 80px;
		animation: hyokkori 5s steps(22) infinite;
	}
	@keyframes hyokkori {
		to {
			background-position: calc(-80px * 22) 0;
		}
	}
}

/* スライダーのはにわくん2（PCのみ） */
.top-slider_wrap::after {
	content: "";
	position: absolute;
	bottom: 0;
	right: 0;
	transform: translate(50%, 30%) rotate(12deg);
	z-index: 2;
	background: url("../images/top/haniwa_slider2.png") no-repeat right bottom / auto 200px;
	width: 200px;
	height: 200px;
	animation: fuwafuwa 1.8s ease-in-out infinite alternate-reverse;
}
@keyframes fuwafuwa {
  0% {
    transform: translate(40%, 30%) rotate(12deg);
  }
  100% {
    transform: translate(40%, 40%) rotate(12deg);
  }
}
@media(max-width:768px) {
	.top-slider_wrap::after {
		display: none;
	}
}

/* ダンスはにわくん */
.haniwa-dance-wrap {
	position: relative;
	margin: auto auto;
	width: calc(100% - 20px);
	height: 80px;
}
.haniwa-dance {
	position: absolute;
	top: 0;
	left: 50%;
	transform: translateX(-100%);
	background: url("../images/top/haniwa_dance.png") no-repeat left bottom / auto 180px;
	width: 180px;
	height: 180px;
	animation: dance 10s steps(24) infinite;
}
@keyframes dance {
	to {
		background-position: calc(-180px * 24) 0;
	}
}
.haniwa-dance-fukidashi {
	position: absolute;
	top: 0;
	left: calc(50% + 15px);
	background: url("../images/top/haniwa_dance_fukidashi.png") no-repeat left bottom / auto 180px;
	width: 180px;
	height: 180px;
}

@media(max-width:768px) {
	.haniwa-dance {
		background: url("../images/top/haniwa_dance.png") no-repeat left bottom / auto 100px;
		width: 100px;
		height: 100px;
		animation: dance 10s steps(24) infinite;
	}
	@keyframes dance {
		to {
			background-position: calc(-100px * 24) 0;
		}
	}
	.haniwa-dance-fukidashi {
		background: url("../images/top/haniwa_dance_fukidashi.png") no-repeat left bottom / auto 100px;
		width: 100px;
		height: 100px;
	}
}


/* オンラインショップ案内はにわくん */
.haniwa-shop {
	position: relative;
}
.haniwa-shop::before {
	content: "";
	position: absolute;
	top: 0;
	right: 0;
	transform: translate(40%, -99%);
	transform-origin: 50% 0;
	width: 190px;
	height: 150px;
	background: url("../images/top/haniwa_shop.png") no-repeat right bottom / contain;
	animation: bounce 0.6s infinite;
}
@keyframes bounce {
	0% {
		transform: scaleY(1) translate(40%, -99%);
	}
	50% {
		transform: scaleY(1.1) translate(40%, -99%);
	}
	100% {
		transform: scaleY(1) translate(40%, -99%);
	}
}
@media(max-width:768px) {
	.section:has(.haniwa-shop) {
		margin-top: 140px;
	}
	.haniwa-shop::before {
		width: 140px;
	}
}